#! /bin/sh
set -e

case "$1" in
    configure)
        if [ -x /usr/bin/gtk-update-icon-cache-3.0 ]; then
            if ! gtk-update-icon-cache-3.0; then
                echo "WARNING: icon cache generation failed"
            fi
        fi
        if [ -x /usr/bin/gtk-update-icon-cache ]; then
            if ! gtk-update-icon-cache; then
                echo "WARNING: icon cache generation failed"
            fi
        fi
        if [ -x /usr/bin/glib-compile-schemas ]; then
            glib-compile-schemas /usr/share/glib-2.0/schemas/
        fi

    ;;

    abort-upgrade|abort-deconfigure|abort-remove)
    ;;

    *)
        echo "$0 called with unknown argument \`$1'" 1>&2
        exit 1
    ;;
esac

#DEBHELPER#
